:root {
    --nova-index-theme: #284d79 !important;
    --nova-theme: #003a58 !important;
    --nova-theme-text: white !important;
    --header-height: 58px;
    --footer-height: 58px;
    --nova-text-announcement-title: #0d3d6f;
    --nova-btn-price-alert: #6a69de;
    --nova-btn-price-alert-hover: #5553da;
    --nova-btn-price-alert-active: #403ed5;
}

.nova-bg-index {
    background-color: var(--nova-index-theme);
}

html,
body {
    position: fixed;
    overflow-y: hidden;
    height: 100%;
    width: 100%;
}

.main-layout {
    /* not supported for samsung browser */
    /* height: 100vh; */
    /* height: 100svh; */
    height: 100%;
}

.header-container {
    min-height: var(--header-height);
    background-color: var(--nova-theme);
    color: var(--nova-theme-text);
    display: flex;
    align-items: center;
    font-size: 1.125rem;
}

footer {
    min-height: var(--footer-height);
    height: var(--footer-height);
    padding: 4px 0;
    background-color: var(--nova-theme);
    color: var(--nova-theme-text);
}

.footer-text-color {
    color: rgb(92, 164, 242);
}

.toast-header-color {
    color: black;
    background-color: #b0d4f3;
}

.toast-color {
    color: #053855;
    background-color: #d9ecfd;
}

.toast-container-position {
    overflow-y: auto;
    height: 50vh;
    pointer-events: auto;

    /* Internet Explorer 10+ */
    -ms-overflow-style: none;
    /* Firefox */
    scrollbar-width: none;
}

.toast-container-position::-webkit-scrollbar {
    display: none;
}

.toast-position {
    position: fixed;
}

.toast-container-position,
.toast-position {
    top: 3rem;
    right: 0.25rem;
}

.bottom-center-toast-container-position {
    overflow-y: auto;
    height: 50vh;
    pointer-events: auto;

    /* Internet Explorer 10+ */
    -ms-overflow-style: none;
    /* Firefox */
    scrollbar-width: none;
}

.bottom-center-toast-container-position::-webkit-scrollbar {
    display: none;
}

.bottom-center-toast-position {
    position: fixed;
}

.bottom-center-toast-container-position,
.bottom-center-toast-position {
    bottom: 3.125rem;
    min-width: 0px !important;
    width: fit-content;
    left: 0;
    right: 0;
    margin: 0 auto;
}

.toast-width {
    max-width: 50%;
}

.toast-body {
    white-space: pre-line;
}

.btn-price-alert {
    --bs-btn-color: var(--bs-white);
    --bs-btn-bg: var(--nova-btn-price-alert);
    --bs-btn-border-color: var(--nova-btn-price-alert);
    --bs-btn-hover-color: var(--bs-white);
    --bs-btn-hover-bg: var(--nova-btn-price-alert-hover);
    --bs-btn-hover-border-color: var(--nova-btn-price-alert-hover);
    --bs-btn-active-color: var(--bs-btn-hover-color);
    --bs-btn-active-bg: var(--nova-btn-price-alert-active);
    --bs-btn-active-border-color: var(--nova-btn-price-alert-active);
}

/* override bootstrap tooltip font-size */
.tooltip {
    font-size: 0.75rem;
}

.btn-rounded-top-0 {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.btn-unset {
    all: unset;
}

.fractional-shares-label,
.smt-msg-tag-label,
.one-click-trading-indicator,
.order-field-validation-indicator,
.fx-oco-amend-indicator {
    font-size: 0.75rem;
}

.smt-msg-tag-container{
    color: #FF9933;
    border: 1px solid #FFB366;
    padding: 0.125rem 0.25rem;
}

#ReferralNewTag {
    background-color: red;
    color: white;
    border-radius: 1rem 1rem 1rem 0rem;
    font-size: 0.65em;
    padding: 0.15rem 0.25rem 0.15rem 0.25rem;
    top: -1rem;
}

#FriendReferralHeader {
    margin-top: 1rem;
}

#FriendReferralText p {
    margin-bottom: 0rem;
}

#FriendReferralContent {
    background-color: #FAFAFA;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
    border-radius: 16px;
    margin: 0.5rem;
    padding: 0.5rem;
}

.border-referral-link {
    padding: 0.5rem;
    border-radius: 0.5rem;
    border: 1px solid #CACACA;
}

.disabled-link {
    pointer-events: none;
    cursor: default;
}

.show-link::after {
    content: attr(href);
}

.truncated-link {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}

#BtnCopyReferralLink {
    background-color: var(--nova-theme);
    color: var(--nova-theme-text);
}

.whatsapp-button,
.wechat-button,
.telegram-button {
    color: white;
    border-radius: 6px;
	border: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    /*height: 48px;
    width: 84px;*/
    height: 32px;
    width: 56px;
}

.whatsapp-button {
    background-color: #25D366;
}

.wechat-button {
    background-color: #09BB07;
    margin: 0rem 1rem;
}

.telegram-button {
    background-color: #0088CC;
}

.share-referral-link {
    width: 80%;
}

/*@media screen and (max-width: 480px) {
    .share-referral-link {
        width: 60%;
    }
}

@media screen and (min-width: 481px) and (max-width: 610px) {
    .share-referral-link {
        width: 70%;
    }
}

@media screen and (min-width: 611px) {
    .share-referral-link {
        width: 80%;
    }
}*/